Subject: bug#52569: 29.0.50; Wishlist: There should be a way for packages to handle files without reading them in first

From: Adam Edge <[email-masked]>
Date: Fri, 17 Dec 2021 12:04:12 +0300

On 12/17/21 11:40, Lars Ingebrigtsen wrote:
> Should there be another general mode these things should inherit from,
> like special-mode, but taking care of things like write-file-functions
> (i.e., disallow saving if the mode hasn't implemented a function for
> that)?  If so, what should it be called?  `really-special-mode' is
> probably too special.  Uhm...  Something that expresses "the displayed
> contents of this mode doesn't match up the saved contents much"...
> `unloaded-file-mode'?  Hm...  any ideas?
Just my $.02, but would something related to "file projection" work? 
Since things like `sqlite-mode-open-file' "project" the file into a 
format that's more usable in Emacs. So my suggestion would be 
`projected-file-mode'.